%global _hardened_build 1

Summary: BIRD Internet Routing Daemon
Name: bird
Version: 1.6.6
Release: 8%{?dist}
License: GPL
Group: Networking/Daemons
Source: ftp://bird.network.cz/pub/bird/bird-%{version}.tar.gz
Source1: bird.service
Source2: birdc6
Source3: birdcl6
Source4: bird6.service
#Patch: bird-in.diff
Url: http://bird.network.cz
BuildRequires: flex bison readline-devel ncurses-devel
Requires(post):   systemd
Requires(preun):  systemd
Requires(postun): systemd
Obsoletes:        bird-sysvinit
Conflicts: bird2

%description
BIRD is dynamic routing daemon supporting IPv4 and IPv6 versions of routing
protocols BGP, RIP, OSPF and also supporting Babel and RAdv.

%prep
%setup -n bird-%{version}

#%patch -p1


%build
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-ipv6
make
mv bird bird6
make clean
./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
make

%install

make install DESTDIR=%{buildroot}
install -d %{buildroot}%{_unitdir}
sed 's/BIRD_PROGNAME/bird/' %SOURCE1 > %{buildroot}%{_unitdir}/bird.service
sed 's/BIRD_PROGNAME/bird/' %SOURCE4 > %{buildroot}%{_unitdir}/bird6.service
install bird6 %{buildroot}/usr/sbin

install %SOURCE2 %{buildroot}/usr/sbin/birdc6
install %SOURCE3 %{buildroot}/usr/sbin/birdcl6

%post
%systemd_post bird.service
%systemd_post bird6.service

%preun
%systemd_preun bird.service
%systemd_preun bird6.service

%postun
%systemd_postun_with_restart bird.service
%systemd_postun_with_restart bird6.service

%files
%doc NEWS README
%config(noreplace) %attr(644,root,root) /etc/bird.conf
%attr(755,root,root) /usr/sbin/bird
%attr(755,root,root) /usr/sbin/bird6
%attr(755,root,root) /usr/sbin/birdc
%attr(755,root,root) /usr/sbin/birdcl
%attr(755,root,root) /usr/sbin/birdc6
%attr(755,root,root) /usr/sbin/birdcl6
%{_unitdir}/bird.service
%{_unitdir}/bird6.service

%changelog
* Fri Mar 1 2019 Ondrej Filip <feela@network.cz> 1.6.6-2
- Package updated

* Tue Nov 24 2017 - feela@network.cz
- Systemd support added

* Tue May 23 2017 - feela@network.cz
- Version 1.6.3

* Fri Apr 29 2016 - feela@network.cz
- Version 1.6.0

* Sun May 10 2015 - feela@network.cz
- Version 1.5.0

* Tue Nov 7 2014 - feela@network.cz
- Version 1.4.5

* Wed Jul 9 2014 - feela@network.cz
- Version 1.4.4

* Mon Apr 14 2014 - feela@network.cz
- Version 1.4.3

* Wed Apr 2 2014 - feela@network.cz
- Version 1.4.2

* Tue Apr 1 2014 - feela@network.cz
- Version 1.4.1

* Wed Feb 5 2014 - feela@network.cz
- init script update

